Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228216 - system-config-network-cmd -p
Summary: system-config-network-cmd -p
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: 6
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-11 19:50 UTC by guy carmin
Modified: 2008-05-06 19:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-06 19:12:41 UTC


Attachments (Terms of Use)

Description guy carmin 2007-02-11 19:50:51 UTC
[root@Gandalf sysconfig]# system-config-network-cmd -p Office
An unhandled exception has occured.  This is most likely a bug.
Please file a detailed bug report against the component system-config-network at
https://bugzilla.redhat.com/bugzilla
using the text below.
Component: system-config-network
Version: 1.3.96
Summary: TB
/usr/share/system-config-network/netconfpkg/NCDevice.py:196:load:ValueError:
invalid literal for int(): 1-range20
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-cmd", line 257, in main
    devlists = [getDeviceList(), getHardwareList(),
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 297,
in getDeviceList
    __DVList.load()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 80,
in load
    newdev.load(dev)
  File "/usr/share/system-config-network/netconfpkg/NCDevice.py", line 196, in load
    self.Alias = int( self.Device[aliaspos+1:] )
ValueError: invalid literal for int(): 1-range20

Local variables in innermost frame:
name: eth0:1-range20
confkey: ONBOOT
cfg: <rhpl.Conf.ConfShellVar instance at 0xb7b6a4ec>
self: Device.Type=Ethernet
Device.Netmask=255.255.0.0
Device.Device=ifcfg-eth0:1-range20
Device.DeviceId=eth0:1-range20

selfkey: OnBoot
conf: <netconfpkg.NCDevice.ConfDevice instance at 0xb7b68e4c>
aliaspos: 10

Comment 1 Bug Zapper 2008-04-04 06:11:25 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 2 Bug Zapper 2008-05-06 19:12:39 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.